Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class SbmlTestSimulationEngineAdapter

public class SbmlTestSimulationEngineAdapter

Batch unit test for biouml.model package.

Method Summary
`static boolean` | `almostEqual(double a, double b)`
`void` | `compareResults(String testDirectory, String testName, TestLogger logger)`
`static String` | `getMangledName(String name)`
`static Map` | `getMangledNamesMap(Map variableMap)`
`SimulationResult` | `prepareValues(String[] requiredVariables, EModel model, Map mangledMap, TestLogger logger)`
`void` | `processTest(SimulationEngine engine, String testDirectory, String testName, String sbmlLevel, TestLogger logger)`
`void` | `readSimulationParameters(SimulationEngine engine, String testDirectory, String testName)`
`static boolean` | `significantlyDiffer(double a, double b)`

Method Detail

### almostEqual

    public static boolean almostEqual(double a, double b)

### compareResults

    public void compareResults(String testDirectory, String testName, TestLogger logger)
                         throws java.lang.Exception

### getMangledName

    public static String getMangledName(String name)

### getMangledNamesMap

    public static Map getMangledNamesMap(Map variableMap)

### prepareValues

    public SimulationResult prepareValues(String[] requiredVariables, EModel model, Map mangledMap, TestLogger logger)

### processTest

    public void processTest(SimulationEngine engine, String testDirectory, String testName, String sbmlLevel, TestLogger logger)

### readSimulationParameters

    public void readSimulationParameters(SimulationEngine engine, String testDirectory, String testName)
                                   throws java.lang.Exception

### significantlyDiffer

    public static boolean significantlyDiffer(double a, double b)

Association Links

to Class biouml.plugins.simulation.SimulationResult

to Class biouml.plugins.simulation.SimulationEngine

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM